### A free/open-source library for quantitative finance

Public Member Functions
JointCalendar Class Reference
Calendars

Joint calendar. More...

`#include <ql/time/calendars/jointcalendar.hpp>`

Inheritance diagram for JointCalendar:
[legend]

List of all members.

## Public Member Functions

| JointCalendar (const Calendar &, const Calendar &, JointCalendarRule=JoinHolidays)
| JointCalendar (const Calendar &, const Calendar &, const Calendar &, JointCalendarRule=JoinHolidays)
| JointCalendar (const Calendar &, const Calendar &, const Calendar &, const Calendar &, JointCalendarRule=JoinHolidays)

## Detailed Description

Joint calendar.

Depending on the chosen rule, this calendar has a set of business days given by either the union or the intersection of the sets of business days of the given calendars.

Tests:
  the correctness of the returned results is tested by reproducing the calculations.